Bug 189286 - www/chromium build with lang/gcc fails
www/chromium build with lang/gcc fails
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-chromium
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-03 12:50 UTC by Lena
Modified: 2014-05-14 16:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lena 2014-05-03 12:50:00 UTC
While trying to upgrade the port www/chromium from 33.0.1750.152_1 to
34.0.1847.132:

=2E..
=3D=3D=3D>  Configuring for chromium-34.0.1847.132
cd /usr/ports/www/chromium/work/chromium-34.0.1847.132 && /usr/bin/env CC=
=3Dgcc47  CXX=3Dg++47  GYP_GENERATORS=3Dninja  GYP_DEFINES=3D"use_cups=3D1 =
 use_system_yasm=3D1  use_system_libxml=3D1  use_system_ffmpeg=3D0  use_sys=
tem_libusb=3D1  use_system_libevent=3D1  use_system_libvpx=3D0  linux_break=
pad=3D0  linux_strip_binary=3D1  linux_use_tcmalloc=3D0  linux_use_heapchec=
ker=3D0  test_isolation_mode=3Dnoop  clang_use_chrome_plugins=3D0  disable_=
nacl=3D1  enable_webrtc=3D1  enable_openmax=3D1  enable_one_click_signin=3D=
1  werror=3D  no_gc_sections=3D1  os_ver=3D804000  prefix_dir=3D/usr/local =
 python_ver=3D2.7 google_api_key=3DAIzaSyBsp9n41JLW8jCokwn7vhoaMejDFRd1mp8 =
 google_default_client_id=3D996322985003.apps.googleusercontent.com  google=
_default_client_secret=3DIR1za9-1VK0zZ0f_O8MVFicn ffmpeg_branding=3DChrome =
proprietary_codecs=3D1 use_gconf=3D0 use_pulseaudio=3D0 disable_sse2=3D1 bu=
ildtype=3DOfficial gcc_version=3D47" PYTHON=3D"/usr/local/bin/python2.7" PK=
G_CONFIG=3Dpkgconf ac_cv_path_PERL=3D/usr/local/bin/perl ac_cv_path_PERL_PA=
TH=3D/usr/local/bin/perl CFLAGS=3D"-O2 -pipe -march=3Dathlon-mp -fno-stack-=
protector -Wno-unknown-warning -Wl,-rpath=3D/usr/local/lib/gcc47 -fno-stric=
t-aliasing"  CPPFLAGS=3D""  CXXFLAGS=3D"-O2 -pipe -march=3Dathlon-mp -fno-s=
tack-protector -Wno-unknown-warning -Wl,-rpath=3D/usr/local/lib/gcc47 -fno-=
strict-aliasing -Wl,-rpath=3D/usr/local/lib/gcc47"  LDFLAGS=3D" -Wl,-rpath=
=3D/usr/local/lib/gcc47 -L/usr/local/lib/gcc47" SHELL=3D/bin/sh CONFIG_SHEL=
L=3D/bin/sh /usr/local/bin/python2.7  ./build/gyp_chromium chrome/chrome.gy=
p --depth .
Updating projects from gyp files...
=2E..
[4897/13253] CXX obj/net/quic/congesti...l/net.inter_arrival_overuse_detect=
or.o
FAILED: g++47 -MMD -MF obj/net/quic/congestion_control/net.inter_arrival_ov=
eruse_detector.o.d -DV8_DEPRECATION_WARNINGS -D_FILE_OFFSET_BITS=3D64 -DNO_=
TCMALLOC -DDISABLE_NACL -DCHROMIUM_BUILD -DUSE_CAIRO=3D1 -DUSE_GLIB=3D1 -DU=
SE_DEFAULT_RENDER_THEME=3D1 -DUSE_LIBJPEG_TURBO=3D1 -DUSE_NSS=3D1 -DUSE_X11=
=3D1 -DENABLE_ONE_CLICK_SIGNIN -DGTK_DISABLE_SINGLE_INCLUDES=3D1 -DUSE_XI2_=
MT=3D2 -DENABLE_REMOTING=3D1 -DENABLE_WEBRTC=3D1 -DUSE_PROPRIETARY_CODECS -=
DENABLE_CONFIGURATION_POLICY -DENABLE_INPUT_SPEECH -DENABLE_NOTIFICATIONS -=
DENABLE_EGLIMAGE=3D1 -DENABLE_TASK_MANAGER=3D1 -DENABLE_EXTENSIONS=3D1 -DEN=
ABLE_PLUGIN_INSTALLATION=3D1 -DENABLE_PLUGINS=3D1 -DENABLE_SESSION_SERVICE=
=3D1 -DENABLE_THEMES=3D1 -DENABLE_BACKGROUND=3D1 -DENABLE_AUTOMATION=3D1 -D=
ENABLE_GOOGLE_NOW=3D1 -DCLD_VERSION=3D2 -DENABLE_FULL_PRINTING=3D1 -DENABLE=
_PRINTING=3D1 -DENABLE_SPELLCHECK=3D1 -DENABLE_CAPTIVE_PORTAL_DETECTION=3D1=
 -DENABLE_MANAGED_USERS=3D1 -DNET_IMPLEMENTATION -DUSE_KERBEROS -DDLOPEN_KE=
RBEROS -DENABLE_BUILT_IN_DNS -DU_USING_ICU_NAMESPACE=3D0 -DU_STATIC_IMPLEME=
NTATION -DUSE_GIO -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -DNDEBUG =
-DOFFICIAL_BUILD -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=3D0 -D_FORTIFY_S=
OURCE=3D2 -I../.. -I../../sdch/open-vcdiff/src -I../../third_party/icu/sour=
ce/i18n -I../../third_party/icu/source/common -I../../third_party/zlib -Ige=
n/net -Igen -I../../net/third_party/nss/ssl -fstack-protector --param=3Dssp=
-buffer-size=3D4  -pthread -fno-exceptions -fno-strict-aliasing -Wall -Wno-=
unused-parameter -Wno-missing-field-initializers -fvisibility=3Dhidden -pip=
e -fPIC -I/usr/local/include/gtk-2.0 -I/usr/local/include/gio-unix-2.0/ -I/=
usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/p=
ixman-1 -I/usr/local/include/drm -D_THREAD_SAFE -I/usr/local/include/gdk-pi=
xbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/freetype2 -I/u=
sr/local/include/libpng15 -I/usr/local/include/harfbuzz -pthread -I/usr/loc=
al/include/glib-2.0 -I/usr/local/include -pthread -I/usr/local/include/glib=
-2.0 -I/usr/local/include -D_THREAD_SAFE -I/usr/local/include -pthread -I/u=
sr/local/include/glib-2.0 -I/usr/local/include -I/usr/local/include/nss -I/=
usr/local/include/nss/nss -I/usr/local/include/nspr -I/usr/local/include/gt=
k-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/=
usr/local/include/gdk-pixbuf-2.0 -pthread -I/usr/local/include/cairo -I/usr=
/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/=
freetype2 -I/usr/local/include/drm -I/usr/local/include/libpng15 -D_THREAD_=
SAFE -I/usr/local/include -m32 -mmmx -O2 -fno-ident -fdata-sections -ffunct=
ion-sections -funwind-tables -O2 -pipe -march=3Dathlon-mp -fno-stack-protec=
tor -Wno-unknown-warning -Wl,-rpath=3D/usr/local/lib/gcc47 -fno-strict-alia=
sing -Wl,-rpath=3D/usr/local/lib/gcc47 -fno-rtti -fno-threadsafe-statics -f=
visibility-inlines-hidden -Wsign-compare  -c ../../net/quic/congestion_cont=
rol/inter_arrival_overuse_detector.cc -o obj/net/quic/congestion_control/ne=
t.inter_arrival_overuse_detector.o
=2E./../net/quic/congestion_control/inter_arrival_overuse_detector.cc: In m=
ember function 'void net::InterArrivalOveruseDetector::DetectDrift(int64)':
=2E./../net/quic/congestion_control/inter_arrival_overuse_detector.cc:168:5=
3: error: call of overloaded 'abs(int64)' is ambiguous
=2E./../net/quic/congestion_control/inter_arrival_overuse_detector.cc:168:5=
3: note: candidates are:
In file included from /usr/local/lib/gcc47/include/c++/cstdlib:66:0,
                 from /usr/local/lib/gcc47/include/c++/bits/stl_algo.h:61,
                 from /usr/local/lib/gcc47/include/c++/algorithm:63,
                 from /usr/local/lib/gcc47/include/c++/backward/hashtable.h=
:65,
                 from /usr/local/lib/gcc47/include/c++/ext/hash_map:65,
                 from ../../base/containers/hash_tables.h:55,
                 from ../../net/quic/quic_protocol.h:18,
                 from ../../net/quic/congestion_control/inter_arrival_overu=
se_detector.h:19,
                 from ../../net/quic/congestion_control/inter_arrival_overu=
se_detector.cc:5:
/usr/local/lib/gcc47/gcc/i386-portbld-freebsd8.4/4.7.3/include-fixed/stdlib=
.h:100:6: note: int abs(int)
In file included from /usr/local/lib/gcc47/include/c++/bits/stl_algo.h:61:0,
                 from /usr/local/lib/gcc47/include/c++/algorithm:63,
                 from /usr/local/lib/gcc47/include/c++/backward/hashtable.h=
:65,
                 from /usr/local/lib/gcc47/include/c++/ext/hash_map:65,
                 from ../../base/containers/hash_tables.h:55,
                 from ../../net/quic/quic_protocol.h:18,
                 from ../../net/quic/congestion_control/inter_arrival_overu=
se_detector.h:19,
                 from ../../net/quic/congestion_control/inter_arrival_overu=
se_detector.cc:5:
/usr/local/lib/gcc47/include/c++/cstdlib:140:3: note: long int std::abs(lon=
g int)
At global scope:
cc1plus: warning: unrecognized command line option "-Wno-unknown-warning" [=
enabled by default]
[4897/13253] CXX obj/net/quic/congestion_control/net.inter_arrival_probe.o
ninja: build stopped: subcommand failed.
*** Error code 1
Stop in /usr/ports/www/chromium.

How-To-Repeat: 
# cd /usr/ports/www/chromium
# make clean
# MAKE_JOBS_UNSAFE=3Dyes LANG=3DC make
Comment 1 Edwin Groothuis freebsd_committer 2014-05-03 12:50:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-chromium

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Lena 2014-05-07 20:39:03 UTC
> 8.4-RELEASE-p4 i386

The same build error "call of overloaded 'abs(int64)' is ambiguous"
also under 9.2 i386 and 9.1 i386:
http://lists.freebsd.org/pipermail/freebsd-chromium/2014-May/001265.html
http://lists.freebsd.org/pipermail/freebsd-chromium/2014-May/001266.html
Comment 3 dfilter freebsd_committer 2014-05-09 12:49:47 UTC
Author: rene
Date: Fri May  9 11:49:43 2014
New Revision: 353447
URL: http://svnweb.freebsd.org/changeset/ports/353447
QAT: https://qat.redports.org/buildarchive/r353447/

Log:
  Fix build on i386 with GCC
  
  PR:		ports/189286
  Submitted by:	Lena <lena@lena.kiev.ua>

Added:
  head/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc   (contents, props changed)
  head/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc   (contents, props changed)

Added: head/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc	Fri May  9 11:49:43 2014	(r353447)
@@ -0,0 +1,11 @@
+--- net/quic/congestion_control/inter_arrival_overuse_detector.cc.orig	2014-04-24 22:35:53.000000000 +0200
++++ net/quic/congestion_control/inter_arrival_overuse_detector.cc	2014-05-09 10:29:30.000000000 +0200
+@@ -165,7 +165,7 @@
+   if ((sigma_delta * kDetectTimeDiffStandardDeviation >
+        estimated_congestion_delay_.ToMicroseconds()) &&
+       (sigma_delta * kDetectDriftStandardDeviation >
+-       std::abs(accumulated_deltas_.ToMicroseconds()))) {
++       std::labs(accumulated_deltas_.ToMicroseconds()))) {
+     if (delta_estimate_ != kBandwidthSteady) {
+       DVLOG(1) << "Bandwidth estimate drift: Steady"
+                  << " mean:" << delta_mean_

Added: head/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc	Fri May  9 11:49:43 2014	(r353447)
@@ -0,0 +1,11 @@
+--- net/quic/congestion_control/tcp_cubic_sender.cc.orig	2014-04-24 22:35:53.000000000 +0200
++++ net/quic/congestion_control/tcp_cubic_sender.cc	2014-05-09 10:57:21.000000000 +0200
+@@ -341,7 +341,7 @@
+     mean_deviation_ = QuicTime::Delta::FromMicroseconds(
+         kOneMinusBeta * mean_deviation_.ToMicroseconds() +
+         kBeta *
+-            std::abs(smoothed_rtt_.ToMicroseconds() - rtt.ToMicroseconds()));
++            std::labs(smoothed_rtt_.ToMicroseconds() - rtt.ToMicroseconds()));
+     smoothed_rtt_ = QuicTime::Delta::FromMicroseconds(
+         kOneMinusAlpha * smoothed_rtt_.ToMicroseconds() +
+         kAlpha * rtt.ToMicroseconds());
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Rene Ladan freebsd_committer 2014-05-09 12:50:06 UTC
State Changed
From-To: open->closed

Committed a fix, thanks
Comment 5 dfilter freebsd_committer 2014-05-14 16:29:38 UTC
Author: rene
Date: Wed May 14 15:29:32 2014
New Revision: 354067
URL: http://svnweb.freebsd.org/changeset/ports/354067
QAT: https://qat.redports.org/buildarchive/r354067/

Log:
  MFH: r353447
  
  Fix build on i386 with GCC
  
  PR:		ports/189286
  Submitted by:	Lena <lena@lena.kiev.ua>
  
  Approved by:	portmgr (erwin)

Added:
  branches/2014Q2/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc
     - copied unchanged from r353447, head/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc
  branches/2014Q2/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc
     - copied unchanged from r353447, head/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc
Modified:
Directory Properties:
  branches/2014Q2/   (props changed)

Copied: branches/2014Q2/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc (from r353447, head/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q2/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc	Wed May 14 15:29:32 2014	(r354067, copy of r353447, head/www/chromium/files/patch-net__quic__congestion_control__inter_arrival_overuse_detector.cc)
@@ -0,0 +1,11 @@
+--- net/quic/congestion_control/inter_arrival_overuse_detector.cc.orig	2014-04-24 22:35:53.000000000 +0200
++++ net/quic/congestion_control/inter_arrival_overuse_detector.cc	2014-05-09 10:29:30.000000000 +0200
+@@ -165,7 +165,7 @@
+   if ((sigma_delta * kDetectTimeDiffStandardDeviation >
+        estimated_congestion_delay_.ToMicroseconds()) &&
+       (sigma_delta * kDetectDriftStandardDeviation >
+-       std::abs(accumulated_deltas_.ToMicroseconds()))) {
++       std::labs(accumulated_deltas_.ToMicroseconds()))) {
+     if (delta_estimate_ != kBandwidthSteady) {
+       DVLOG(1) << "Bandwidth estimate drift: Steady"
+                  << " mean:" << delta_mean_

Copied: branches/2014Q2/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc (from r353447, head/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q2/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc	Wed May 14 15:29:32 2014	(r354067, copy of r353447, head/www/chromium/files/patch-net__quic__congestion_control__tcp_cubic_sender.cc)
@@ -0,0 +1,11 @@
+--- net/quic/congestion_control/tcp_cubic_sender.cc.orig	2014-04-24 22:35:53.000000000 +0200
++++ net/quic/congestion_control/tcp_cubic_sender.cc	2014-05-09 10:57:21.000000000 +0200
+@@ -341,7 +341,7 @@
+     mean_deviation_ = QuicTime::Delta::FromMicroseconds(
+         kOneMinusBeta * mean_deviation_.ToMicroseconds() +
+         kBeta *
+-            std::abs(smoothed_rtt_.ToMicroseconds() - rtt.ToMicroseconds()));
++            std::labs(smoothed_rtt_.ToMicroseconds() - rtt.ToMicroseconds()));
+     smoothed_rtt_ = QuicTime::Delta::FromMicroseconds(
+         kOneMinusAlpha * smoothed_rtt_.ToMicroseconds() +
+         kAlpha * rtt.ToMicroseconds());
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"